Subrion 2.2.3 Open Source CMS core is available!

Discussion in 'Announcements' started by Vasily B., Oct 11, 2012.

  1. Vasily_B.

    Vasily_B. Project Manager

    Greetings,

    We are happy to announce the release of 2.2.3 core version. It has a lot of improvements and several fixes for known issues. Here is the list of most notable issues that were fixed in this release:

    Bug #96: Sort changelog in admin panel
    Bug #154: Compatibility issues with php 5.2
    Bug #216: Refactor default template
    Bug #225: "Email Templates Tags" button does nothing
    Bug #239: XSS vulnerabilities in plugins: Banners, Comments, Faq, Guestbook, News, Personal Blog, Polls, Testimonials.
    Bug #240: Default template: main menu background issue
    Bug #241: Account balance cannot be double
    Bug #243: Left menu is displayed incorrectly
    Bug #246: Bad quality of thumbnail images
    Bug #259: Incorrect block name validation
    Bug #262: Include file doesn't work
    Bug #303: Feedback form redesign in admin panel
    Bug #305: Recheck package fields creation
    Bug #321: Improve layout of View Account page
    Bug #343: Warnings messages on the last step of installation with PHP 5.4 version
    Bug #354: Obsolete references to iaCore::$gLanguages class variable should be removed
    Bug #360: Main menu links don't work in IE
    Bug #376: Permissions for usergroups can't be changed
    Feature #248: Implement the HTTP request validity check against CSRF attacks
    Feature #252: Review template images

    Here is the link to all issues fixed in this version.
    2.2.3 - Subrion CMS

    Upgrade script is ready! You can download it in accounts area -> Downloads -> Misc. You should only upload your files over existing files and then run update script in admin panel.

    Don't forget to make your backups!

    Thanks!
  2. Vasily_B.

    Vasily_B. Project Manager

    We would like to thank our friends at High-Tech Bridge company who discovered few security issues in our 2.2.2 core version and reported them here:
    https://www.htbridge.com/advisory/HTB23113

    Thanks guys and keep up the great work!
  3. Chaffinch

    Chaffinch New Member

    After updating via phpMyAdmin. I received the message.Concerns: Subrion_patches_222_to_223
    Your Subrion MySQL database structure is obsolete.Please update your MySQL database structure as it's incompatible with the current files version.
    Clearing the cache did not change anything.
    Only execute the query sql:
    UPDATE `{upgrade:prefix}config` SET `value` = '2.2.3' WHERE `name` = 'version';
    Clearing the cache it possible.
    Also:
    Application updates,canceled out >> the work of Vlad B.
    This means that:
    Again, it does not work backup database.
    That is terrible: next update without removing error!
    The question is:
    How to fix the script to run normally ? ?
    Also:
    In my language I needed to add the phrase:
    INSERT IGNORE INTO `xxx_language` (`key`, `value`, `category`, `code`) VALUES
    ('ie_update_warning', 'Ostrzeżenie! Twoja wersja programu Internet Explorer jest zbyt stara. Może to spowodować nieprawidłowe działanie skryptu. Proszę zaktualizować przeglądarkę do 8 lub wyższej wersji.', 'common', 'pl');
    Script crashed
    I could add a phrase only via PHPMyAdmin
    It is a pity that such a version of the development team prefers :-((
    Bogdan
  4. Vasily_B.

    Vasily_B. Project Manager

    Hi Bogdan,

    I don't understand you. Why you use phpMyAdmin - there is no need for that. You only need to upload patch files and then click Start Upgrade in admin panel.

    We have tested the upgrade script on 10+ installations and it worked fine. That's quite strange you always have some issues. It's possible they are related to specific server configuration or multiple languages.

    Please contact us once we release 2.2.4. We'd like to try to upgrade the version ourself. Or at least have a copy of the website to perform upgrade test locally.
  5. Chaffinch

    Chaffinch New Member

    I don't understand you. Why you use phpMyAdmin - there is no need for that. You only need to upload patch files and then click Start Upgrade in admin panel. >>
    I also do not understand you.Have your username and password for me.Access to database also.
    We have tested the upgrade script on 10+ installations and it worked fine. That's quite strange you always have some issues. It's possible they are related to specific server configuration or multiple languages.
    >>Probably overreacting here?
    Typical server to the current time.
    PHP Version 5.3.4-0+tld4

    Please contact us once we release 2.2.4. We'd like to try to upgrade the version ourself. Or at least have a copy of the website to perform upgrade test locally.
    Result update
    http://yellowpages.krynica-zdroj.eu/pl/admin/configuration/
    blanc page
  6. Vasily_B.

    Vasily_B. Project Manager

    Ok, Bogdan. You know how to submit the tickets. Next time please submit ticket once you need an upgrade. We will do it for you.

    Thanks!
  7. Chaffinch

    Chaffinch New Member

    Really you are right Ticket ID: PPU-833-63580 submited

    Regards
    Bogdan
  8. Vasily_B.

    Vasily_B. Project Manager

    Thanks Bogdan. Alex will take care of it asap.

Share This Page